Subject: Re: [PATCH] Staging: agnx: switch config_interface to bss_info_changed

From: Greg KH <[email-masked]>
Date: Tue, 12 May 2009 12:02:54 -0700

On Tue, May 12, 2009 at 09:37:56PM +0400, Alexander Beregalov wrote:
> 2009/5/12 Greg KH <[email-masked]>:
> > On Tue, May 12, 2009 at 03:23:13PM +0400, Alexander Beregalov wrote:
> >> Fix this build error:
> >> drivers/staging/agnx/pci.c: In function 'agnx_config_interface':
> >> drivers/staging/agnx/pci.c:315: error: dereferencing pointer to incomplete type
> >> ..
> >> drivers/staging/agnx/pci.c:424: error: unknown field 'config_interface' specified in initializer
> >>
> >> config_interface was removed in 2d0ddec5b2b
> >> ("mac80211: unify config_interface and bss_info_changed")
> >
> > I do not see that patch in Linus's tree.  Is it in some other tree
> > (wireless?) and not yet in mainline?
> Yes, it is in wireless from linux-next.
> You asked to send patches based on linux-next, right?
> Should I always mark patches for staging-next tree as [PATCH -next] ?

Hm, yes, -staging patches need to be against -next, but I have to be
able to build these somehow on my own without the wireless tree...

I think something like this might better go through the wireless tree as
it depends on changes that happen there.  Sound good to you?

If so, please send them to the wireless maintainer.

thanks,

greg k-h